Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
Class BytecodeSequence

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.classgen.BytecodeSequence

    class BytecodeSequence
    extends Statement

This class represents a sequence of BytecodeInstructions or ASTNodes. The evaluation is depending on the type of the visitor.

see:
  BytecodeInstruction

see:
  ASTNode

Constructor Summary
`BytecodeSequence(List instructions)`
`BytecodeSequence(BytecodeInstruction instruction)`

Method Summary
`List` | `getInstructions()`
`void` | `visit(GroovyCodeVisitor visitor)` Delegates to the visit method used for this class.

Methods inherited from class Statement
getStatementLabel, isEmpty, setStatementLabel

Methods inherited from class ASTNode
getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### BytecodeSequence

    public BytecodeSequence(List instructions)

### BytecodeSequence

    public BytecodeSequence(BytecodeInstruction instruction)

Method Detail

### getInstructions

    public List getInstructions()

### visit

    public void visit(GroovyCodeVisitor visitor)

  Delegates to the visit method used for this class. If the visitor is a ClassGenerator, then ClassGenerator#visitBytecodeSequence(BytecodeSequence) is called with this instance. If the visitor is no ClassGenerator, then this method will call visit on each ASTNode element sotred by this class. If one element is a BytecodeInstruction, then it will be skipped as it is no ASTNode.
  param:
    visitor the visitor
  see:
    ClassGenerator

Copyright © 2003-2009 The Codehaus. All rights reserved.